# L. N. - 14.2.2019
#Primzahl erkennen
class Konto:
    def __init__(self, besitzer):
        self.kontostand = 0
        self.besitzer = besitzer

    def einzahlen(self, menge):
        self.kontostand += menge

    def abheben(self, menge):
        if self.kontostand < menge:
            # Nicht genug drauf
            print("So viel ist nicht mehr drauf, nicht ausgeführt")
            return False
        else:
            # Genug drauf
            self.kontostand -= menge
            return True

    def status(self):
        print("Kontostand von", self.besitzer, "ist:", self.kontostand)


def überweisen(quellkonto, zielkonto, menge):
    if quellkonto.abheben(menge):
        # Erfolgreich abgehoben sonst passiert nichts
        zielkonto.einzahlen(menge)


def investieren(quellkonto_1, menge_1, quellkonto_2, menge_2, zielkonto):
    if quellkonto_1.abheben(menge_1):
        # Erster Geldbetrag erfolgreich abgehoben
        if quellkonto_2.abheben(menge_2):
            # Zweiter Geldbetrag erfolgreich abgehoben jetzt kommt die Kohle aufs Zielkonto
            zielkonto.einzahlen(menge_1 + menge_2)
        else:
            # Zweiter Geldbetrag konnte nicht abgehoben werden
            # Auch der erste Investor bekommt die Kohle back
            quellkonto_1.einzahlen(menge_1)
